[dss-commits] digitalSTROM Server branch, 0.6, updated. aa7096fd50826f27d69919a82968d76c5472ba05

git version control dss-commits at forum.digitalstrom.org
Fri Nov 20 14:07:09 CET 2009


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "digitalSTROM Server".

The branch, 0.6 has been updated
       via  aa7096fd50826f27d69919a82968d76c5472ba05 (commit)
       via  0755263518d39b76e20dc56ef387334158b85931 (commit)
       via  d2483f3b522b6825cbf0e1275680af98cdac67ae (commit)
      from  012432022ae5ed2aa95dc40ffc6bad3683157955 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit aa7096fd50826f27d69919a82968d76c5472ba05
Author: Johannes Winkelmann <johannes.winkelmann at aizo.com>
Date:   Mon Nov 16 16:15:38 2009 +0100

    cleanup dss_gen_version_unix.sh
    
    Remove support for svn/hg from dss_gen_version_unix.sh, and make it use
    .dss_git_version and .dss_git_branch if no .git directory is found
    
    Closes #218

commit 0755263518d39b76e20dc56ef387334158b85931
Author: Johannes Winkelmann <johannes.winkelmann at aizo.com>
Date:   Mon Nov 16 16:07:27 2009 +0100

    create-dss-release: include git info
    
    To allow generating a meaningful revision string when building from a tarball,
    dump git head revision and branch to files. To be used by
    dss_gen_version_unix.sh

commit d2483f3b522b6825cbf0e1275680af98cdac67ae
Author: Johannes Winkelmann <johannes.winkelmann at aizo.com>
Date:   Mon Nov 16 13:44:05 2009 +0100

    add create-dss-release script

-----------------------------------------------------------------------

Changes:
diff --git a/tools/create-dss-release b/tools/create-dss-release
new file mode 100755
index 0000000..826b9c1
--- /dev/null
+++ b/tools/create-dss-release
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# Create a dss release tarball from git, including webroot customizations
+#
+# Johannes Winkelmann, johannes.winkelmann at aizo.com
+
+# Ubuntu specific: add sprocketize to path
+export PATH=$PATH:/var/lib/gems/1.8/bin/
+
+
+GIT_REPO=ssh://git@developer.digitalstrom.org/home/git/sources/dss.git
+
+if [ -z "$2" ]; then
+	echo "Usage: $(basename $0) <release version string> <git branch name>"
+	exit 1
+fi
+
+DSS_RELEASE_VERSION=$1
+DSS_RELEASE_BRANCH=$2
+TARGET_DIR=dss-$DSS_RELEASE_VERSION
+
+if [ -d "$TARGET_DIR" ]; then
+	echo "Target '$TARGET_DIR' exists; please remove first; exiting"
+	exit 2
+fi
+
+git clone --depth 1 $GIT_REPO $TARGET_DIR
+cd dss-$DSS_RELEASE_VERSION
+git branch $DSS_RELEASE_BRANCH origin/$DSS_RELEASE_BRANCH
+git checkout $DSS_RELEASE_BRANCH
+git rev-parse HEAD > .dss_git_version
+git branch|grep ^*|sed -e 's|^\*\s*||' > .dss_git_branch
+
+git submodule update --init
+./websrc/tools/build_and_copy_weblibs.sh websrc data/webroot/js/
+
+# clean up release tarball
+
+cd ..
+tar cvzf dss-$DSS_RELEASE_VERSION{.tar.gz,} --exclude=\*/.git* --exclude=\*/websrc\*
diff --git a/tools/dss_gen_version_unix.sh b/tools/dss_gen_version_unix.sh
index 48ab446..aa09317 100755
--- a/tools/dss_gen_version_unix.sh
+++ b/tools/dss_gen_version_unix.sh
@@ -14,26 +14,23 @@ if [ -z "$TARGETDIR" ] ; then
   exit 1
 fi
 
-rcs_rev="REV_UNDEFINED"
-rcs_root="URL_UNDEFINED"
-if [ -d $BASEDIR/.svn ]; then
-  rcs_rev=$(svnversion $BASEDIR)
-  rcs_root=$(svn info $BASEDIR|grep ^URL:|sed -e 's|URL:\s*||')
-elif [ -d $BASEDIR/.git ]; then
-  if [ -d $BASEDIR/.git/svn ]; then
-    rcs_rev=svn-$(git svn info|grep ^Revision:| sed -e 's|Revision:\s*||')+
-    rcs_root=$(git svn info|grep ^URL:|sed -e 's|URL:\s*||')    
-  else
-    rcs_root=$(git branch|grep ^*)
-  fi
-  rcs_rev="${rcs_rev}git:$(git rev-parse HEAD)"
+rcs_rev="-"
+rcs_root="-"
+if [ -d $BASEDIR/.git ]; then
+  rcs_rev="git:$(git rev-parse HEAD)"
+  rcs_root=$(git branch|grep ^*|sed -e 's|^\*\s*||')
+  
   rcs_st=$(git status $BASEDIR|grep modified:)
   if [ -n "$rcs_st" ]; then
     rcs_rev="$rcs_rev-dirty"
   fi
-elif [ -d $BASEDIR/.hg ]; then
-  rcs_rev=$(hg identify) # already contains the '+' marked when modified
-  rcs_root=$(hg branch)
+else
+  if [ -f $BASEDIR/.dss_git_version ]; then
+    rcs_rev=$(cat $BASEDIR/.dss_git_version)
+  fi
+  if [ -f $BASEDIR/.dss_git_branch ]; then
+    rcs_root=$(cat $BASEDIR/.dss_git_branch)
+  fi
 fi
 
 


hooks/post-receive
-- 
digitalSTROM Server


More information about the dss-commits mailing list